## qtdeclarative-opensource-src 5.15.8

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.8-1+dde+rb1) UNRELEASED; urgency=medium

  * New upstream release (5.15.8).

 -- Lu YaNing <luyaning@uniontech.com>  Mon, 30 Jan 2023 11:47:37 +0800

qtdeclarative-opensource-src (5.15.7.1-1+dde) unstable; urgency=medium

  * Fixed the incorrect installation path of qtdeclarative5-dev-tools
    package content.

 -- Lu YaNing <luyaning@uniontech.com>  Tue, 10 Jan 2023 13:02:01 +0800

qtdeclarative-opensource-src (5.15.7-1+dde) unstable; urgency=medium

  * New upstream release (5.15.7).

 -- Duan Ting <duanting@uniontech.com>  Fri, 04 Nov 2022 11:40:54 +0800

qtdeclarative-opensource-src (5.15.3.1-1+deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Aug 2022 10:14:14 +0800
