## qtdeclarative-opensource-src 5.15.8%2Bdfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.8+dfsg-3+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.14.2+dfsg-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 04 Jul 2020 19:53:58 +0000]
  * Update symbols file for raspbian.

  [changes introduced in 5.14.2+dfsg-3+rpi1 by Peter Michael Green]
  * Mark a gcc 10 only symbol as optional.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 12 Mar 2023 20:00:10 +0000

qtdeclarative-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix crash when destructing QQuickItem
    (closes: #983597).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 Feb 2023 23:32:58 +0300

qtdeclarative-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:44 +0400

qtdeclarative-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_flickable_wheel_velocity_calculation.patch
    - use_delay_properly_in_mousewheel.patch
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump ABI version to qtdeclarative-abi-5-15-8.
  * Update debian/libqt5qml5.symbols for hurd-i386.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 00:36:44 +0400

qtdeclarative-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Update symbols files for alpha.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:11 +0300

qtdeclarative-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release (5.15.7).
  * Refresh all patches, dropping part of the GCC-11 patch that was merged
    upstream.
  * Bump ABI version to qtdeclarative-abi-5-15-7.
  * Bump Qt build dependencies to 5.15.7.
  * Update Lintian source-is-missing overrides to cover more test files.
  * Remove a batch file shipped in examples.

  [ Dmitry Shachnev ]
  * Set TZ=UTC for tests.
  * Update symbols files for riscv64.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 18 Nov 2022 18:13:13 -0600

qtdeclarative-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:39:46 +0300
