## qtdeclarative-opensource-src 5.15.8+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,28 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>,
+           Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.19.7),
+               dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.8~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
-Standards-Version: 4.6.0
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
 Provides: qtdeclarative-abi-5-15-8
@@ -60,6 +67,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -74,6 +82,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -309,16 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating top-level windows and
- accessing screen information.
-
-Package: qtdeclarative5-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libqt5qml5 (= ${binary:Version}),
-         libqt5qmlmodels5 (= ${binary:Version}),
-         libqt5qmlworkerscript5 (= ${binary:Version}),
-         libqt5quick5 (= ${binary:Version}) | libqt5quick5-gles (>= 5.15),
