## qtdeclarative-opensource-src 5.15.8.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.8.1-1+dde) unstable; urgency=medium

  * Fixed the incorrect installation path of qtdeclarative5-dev-tools
    package content.

 -- Lu YaNing <luyaning@uniontech.com>  Fri, 03 Feb 2023 09:50:02 +0800

qtdeclarative-opensource-src (5.15.8-1+dde) unstable; urgency=medium

  * New upstream release (5.15.8).

 -- Duan Ting <duanting@uniontech.com>  Mon, 09 Jan 2023 11:01:18 +0800
