## qtdeclarative-opensource-src 5.15.10+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.19.7),
+               dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.8~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-8
+Provides: qtdeclarative-abi-5-15-10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -67,6 +67,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,6 +82,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -316,5 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
