=== debian/control ===
--- 
+++ 
@@ -4,28 +4,26 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-10
+Provides: qtdeclarative-abi-5-15-13
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -318,3 +316,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains types for creating top-level windows and
