=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-13
+Provides: qtdeclarative-abi-5-15-15
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
