## qtdeclarative-opensource-src 5.15.16+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.16.
  * Bump ABI version to qtdeclarative-abi-5-15-16.
  * Refresh fortify_qmlexecutedeferred.patch.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Feb 2025 15:09:47 +0300
