## qtdeclarative-opensource-src 5.15.17+p24.04+vrelease+git20250828.1340

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.17+p24.04+vrelease+git20250828.1340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:40:49 +0000

qtdeclarative-opensource-src (5.15.17+dfsg-0neon) jammy; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtdeclarative-opensource-src (5.15.13+dfsg-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Rmove myself and Timo form Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:38:15 -0300
