=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -10,17 +9,18 @@
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.17+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
-Standards-Version: 4.7.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
+Vcs-Git: https://invent.kde.org/neon/qt/qtdeclarative.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtdeclarative
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5qml5
 Provides: qtdeclarative-abi-5-15-17
@@ -210,8 +210,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt5qml5 (<< 5.14.1+dfsg-1~)
-Replaces: libqt5qml5 (<< 5.14.1+dfsg-1~)
+Breaks: libqt5qml5 (<< 5.15.1)
+Replaces: libqt5qml5 (<< 5.15.1)
 Description: Qt 5 QtQml QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -303,6 +303,9 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: qml-module-qttest-qtestroot
+Breaks: qml-module-qttest-qtestroot (<< ${source:Version}~ciBuild)
+Replaces: qml-module-qttest-qtestroot (<< ${source:Version}~ciBuild)
 Description: Qt 5 test QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -316,6 +319,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating top-level windows and
