## qtdeclarative-opensource-src 5.15.17+p24.04+vstable+git20250828.1333

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.17+p24.04+vstable+git20250828.1333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:33:41 +0000
